Page MenuHomePhabricator

Schema change for ct_tag_id field to change_tag
Closed, ResolvedPublic

Description

After T190444: Add index on rc_namespace, rc_title, rc_timestamp on recentchanges table It would be great to apply this change

From the checklist at https://wikitech.wikimedia.org/wiki/Schema_changes:

  1. ALTERs to run: https://gerrit.wikimedia.org/r/#/c/432632/5/maintenance/archives/patch-change_tag-tag_id.sql
  2. Where to run those changes: all.dblist
  3. When to run those changes: ?
  4. If the schema change is backwards compatible: Yes.
  5. If the schema change has been tested already on some of the test/beta wikis: Tested in beta cluster
  6. if the data should be made available on the labs replicas and/or dumps: Yes, data in this table is public (unless the wiki is private which we don't replicate at all)

This column will be empty and we won't write to it immediately

Schema change progress:

  • wikitech
    • labswiki (done by Reedy)
    •  labtestwiki (done by Reedy)

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdb-eqiad.php: Depool db1077
operations/mediawiki-config : masterdb-eqiad.php: Depool db1123
operations/mediawiki-config : masterdb-eqiad.php: Depool db1078
operations/mediawiki-config : masterdb-eqiad.php: Depool db1101:3317
operations/mediawiki-config : masterdb-eqiad.php: Depool db1098:3317
operations/mediawiki-config : masterdb-eqiad.php: Depool db1090:3317
operations/mediawiki-config : masterdb-eqiad.php: Depool db1079
operations/mediawiki-config : masterdb-eqiad.php: Depool db1094
operations/mediawiki-config : masterdb-eqiad.php: Depool db1086
operations/mediawiki-config : masterdb-eqiad.php: Depool db1087
operations/mediawiki-config : masterdb-eqiad.php: Depool db1109
operations/mediawiki-config : masterdb-eqiad.php: Depool db1092
operations/mediawiki-config : masterdb-eqiad.php: Depool db1104
operations/mediawiki-config : masterdb-eqiad.php: Depool db1101:3318
operations/mediawiki-config : masterdb-eqiad.php: Depool db1099:3318
operations/mediawiki-config : masterdb-eqiad.php: Depool db1076
operations/mediawiki-config : masterdb-eqiad.php: Depool db1074
operations/mediawiki-config : masterdb-eqiad.php: Depool db1090:3312
operations/mediawiki-config : masterdb-eqiad.php: Depool db1105:3312
operations/mediawiki-config : masterdb-eqiad.php: Depool db1103:3312
operations/mediawiki-config : masterdb-eqiad.php: Depool db1122
operations/mediawiki-config : masterdb-eqiad.php: Depool db1106
operations/mediawiki-config : masterdb-eqiad.php: Depool db1080
operations/mediawiki-config : masterdb-eqiad.php: Depool db1119
operations/mediawiki-config : masterdb-eqiad.php: Depool db1067
operations/mediawiki-config : masterdb-eqiad.php: Depool db1114
operations/mediawiki-config : masterdb-eqiad.php: Depool db1083
operations/mediawiki-config : masterdb-eqiad.php: Depool db1105:3311
operations/mediawiki-config : masterdb-eqiad.php: Depool db1089
operations/mediawiki-config : masterdb-eqiad.php: Depool db1099:3311
operations/mediawiki-config : masterdb-eqiad.php: Depool db1121
operations/mediawiki-config : masterdb-eqiad.php: Depool db1091
operations/mediawiki-config : masterdb-eqiad.php: Depool db1084
operations/mediawiki-config : masterdb-eqiad.php: Depool db1081
operations/mediawiki-config : masterdb-eqiad.php: Depool db1103:3314
operations/mediawiki-config : masterdb-eqiad.php: Depool db1097:3314
operations/mediawiki-config : masterdb-eqiad.php: Depool db1113:3316
operations/mediawiki-config : masterdb-eqiad.php: Depool db1088
operations/mediawiki-config : masterdb-eqiad.php: Depool db1085
operations/mediawiki-config : masterdb-eqiad.php: Depool db1093
operations/mediawiki-config : masterdb-eqiad.php: Depool db1098:3316
operations/mediawiki-config : masterdb-eqiad.php: Depool db1096:3316
operations/mediawiki-config : masterdb-eqiad.php: Depool db1110
operations/mediawiki-config : masterdb-eqiad.php: Depool db1100
operations/mediawiki-config : masterdb-eqiad.php: Depool db1097:3315
operations/mediawiki-config : masterdb-eqiad.php: Depool db1082
operations/mediawiki-config : masterdb-eqiad.php: Depool db1096:3315
operations/mediawiki-config : masterdb-eqiad.php: Depool db1113:3315
operations/mediawiki-config : masterdb-codfw.php: Depool db2066
operations/mediawiki-config : masterdb-codfw.php: Depool db2084:3315
operations/mediawiki-config : masterdb-codfw.php: Depool db2038
operations/mediawiki-config : masterdb-eqiad.php: Depool db2089:3315
operations/mediawiki-config : masterdb-codfw.php: Depool db2059

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 442758 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/442758

Mentioned in SAL (#wikimedia-operations) [2018-06-28T04:46:19Z] <marostegui> Deploy schema change on db1099:3318 T191316 T192926 T89737 T195193

Change 442869 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/442869

Change 442869 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/442869

Mentioned in SAL (#wikimedia-operations) [2018-06-28T15:01:53Z] <marostegui> Deploy schema change on db1101:3318 T191316 T192926 T89737 T195193

Change 443022 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/443022

Change 443022 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/443022

Mentioned in SAL (#wikimedia-operations) [2018-06-29T05:02:02Z] <marostegui> Deploy schema change on db1104 T191316 T192926 T89737 T195193

Change 443067 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/443067

Change 443067 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/443067

Mentioned in SAL (#wikimedia-operations) [2018-06-29T10:20:01Z] <marostegui> Deploy schema change on db1092 T191316 T192926 T89737 T195193

Vvjjkkii renamed this task from Schema change for ct_tag_id field to change_tag to alcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii removed Marostegui as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
Marostegui renamed this task from alcaaaaaaa to Schema change for ct_tag_id field to change_tag".Jul 1 2018, 6:51 PM
Marostegui claimed this task.
Marostegui lowered the priority of this task from High to Medium.
Marostegui updated the task description. (Show Details)
Marostegui updated the task description. (Show Details)
Marostegui updated the task description. (Show Details)
Marostegui added subscribers: Aklapper, GerritBot.

Change 443345 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/443345

Change 443345 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/443345

Mentioned in SAL (#wikimedia-operations) [2018-07-02T04:59:10Z] <marostegui> Deploy schema change on db1109 T191316 T192926 T89737 T195193

matej_suchanek renamed this task from Schema change for ct_tag_id field to change_tag" to Schema change for ct_tag_id field to change_tag.Jul 2 2018, 7:54 AM

Change 443379 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/443379

Change 443379 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/443379

Mentioned in SAL (#wikimedia-operations) [2018-07-02T09:24:00Z] <marostegui> Deploy schema change on db1087 with replication, this will generate lag on s8 on labs T191316 T192926 T89737 T195193

Mentioned in SAL (#wikimedia-operations) [2018-07-02T12:49:28Z] <marostegui> Deploy schema change on s7 codfw master (db2040) with replication, this will generate lag on s7 codfw T191316 T192926 T89737 T195193

Marostegui updated the task description. (Show Details)Jul 2 2018, 3:35 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-02T15:38:26Z] <marostegui> Deploy schema change on dbstore1002:s7 T191316 T192926 T89737 T195193 T197459

Marostegui added a comment.EditedJul 2 2018, 3:42 PM

s7 eqiad progress

  • labsdb1009
  • labsdb1010
  • labsdb1011
  • db1125
  • dbstore1002
  • db1079
  • db1086
  • db1090
  • db1094
  • db1098
  • db1101
  • db1062
Marostegui updated the task description. (Show Details)Jul 2 2018, 3:42 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-03T04:27:19Z] <marostegui> Deploy schema change on s2 primary master db1066 T191316 T192926 T195193

Change 443537 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1086

https://gerrit.wikimedia.org/r/443537

Change 443537 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1086

https://gerrit.wikimedia.org/r/443537

Mentioned in SAL (#wikimedia-operations) [2018-07-03T04:40:21Z] <marostegui> Deploy schema change on db1086 T191316 T192926 T89737 T195193 T197459

Marostegui updated the task description. (Show Details)Jul 3 2018, 5:04 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-03T05:04:44Z] <marostegui> Deploy schema change on s8 primary master db1071 T191316 T192926 T195193

Change 443544 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094

https://gerrit.wikimedia.org/r/443544

Change 443544 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094

https://gerrit.wikimedia.org/r/443544

Mentioned in SAL (#wikimedia-operations) [2018-07-03T05:26:33Z] <marostegui> Deploy schema change on db1094 T191316 T192926 T89737 T195193 T197459

Change 443547 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/443547

Change 443547 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/443547

Mentioned in SAL (#wikimedia-operations) [2018-07-03T06:14:24Z] <marostegui> Deploy schema change on db1079 with replication, this will generate lag on s7 on labsdb hosts T191316 T192926 T89737 T195193 T197459

Change 443554 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1090:3317

https://gerrit.wikimedia.org/r/443554

Change 443554 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1090:3317

https://gerrit.wikimedia.org/r/443554

Mentioned in SAL (#wikimedia-operations) [2018-07-03T07:13:34Z] <marostegui> Deploy schema change on db1090:3317 T191316 T192926 T89737 T195193 T197459

Marostegui updated the task description. (Show Details)Jul 3 2018, 7:25 AM

Change 443577 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1098:3317

https://gerrit.wikimedia.org/r/443577

Change 443577 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1098:3317

https://gerrit.wikimedia.org/r/443577

Mentioned in SAL (#wikimedia-operations) [2018-07-03T09:13:13Z] <marostegui> Deploy schema change on db1098:3317 T191316 T192926 T89737 T195193 T197459

Mentioned in SAL (#wikimedia-operations) [2018-07-03T09:58:59Z] <marostegui> Deploy schema change on s3 codfw primary master (db2043) with replication, this will generate lag on s3 codfw T191316 T192926 T89737 T195193 T197459

Marostegui updated the task description. (Show Details)Jul 3 2018, 12:59 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-03T13:19:35Z] <marostegui> Deploy schema change on dbstore1002:s3 T191316 T192926 T89737 T195193

Marostegui added a comment.EditedJul 3 2018, 1:24 PM

s3 eqiad progress

  • labsdb1009
  • labsdb1010
  • labsdb1011
  • dbstore1002
  • db1124
  • db1077
  • db1078
  • db1123
  • db1075
Marostegui updated the task description. (Show Details)Jul 3 2018, 1:27 PM

s3 is always messy, the databases that already have this changed applied as they were created before the merge and thus need to be excluded from this alter:

bnwikivoyage
idwikimedia
pmswikisource
pswikivoyage
sahwikiquote

Change 443763 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3317

https://gerrit.wikimedia.org/r/443763

Change 443763 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3317

https://gerrit.wikimedia.org/r/443763

Mentioned in SAL (#wikimedia-operations) [2018-07-04T04:59:02Z] <marostegui> Deploy schema change on db1101:3317 T191316 T192926 T89737 T195193

Change 443782 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/443782

Change 443782 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/443782

Mentioned in SAL (#wikimedia-operations) [2018-07-04T08:00:16Z] <marostegui> Deploy schema change on db1078 T191316 T192926 T89737 T195193

Change 443791 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/443791

Change 443791 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/443791

Mentioned in SAL (#wikimedia-operations) [2018-07-04T08:54:03Z] <marostegui> Deploy schema change on db1123 T191316 T192926 T89737 T195193

Change 443815 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/443815

Change 443815 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/443815

Mentioned in SAL (#wikimedia-operations) [2018-07-04T10:46:34Z] <marostegui> Deploy schema change on db1077 with replication, this will generate lag on labs s3 T191316 T192926 T89737 T195193

daniel removed a subscriber: daniel.Jul 4 2018, 11:33 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-05T04:42:04Z] <marostegui> Deploy schema change on s7 primary master (db1062) T191316 T192926 T195193

Marostegui updated the task description. (Show Details)Jul 5 2018, 5:27 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-05T05:29:07Z] <marostegui> Deploy schema change on s3 primary master (db1075) T191316 T192926 T195193

Marostegui updated the task description. (Show Details)Jul 5 2018, 6:03 AM

This is all done.
I am not closing this task because s1 master is still pending and will be failed over the 18th July (T197069) to a host that already have the schema change, once that is failed over, I will close this task.

db1052 was failed over today and now got the schema change so this is all done.

Marostegui closed this task as Resolved.Jul 18 2018, 11:03 AM
Marostegui updated the task description. (Show Details)
Reedy reopened this task as Open.Jul 21 2018, 10:21 PM
Reedy added a subscriber: Reedy.

Looks like labswiki was forgotten about. Causing T200139

Possibly labtestwiki too?

Do other schema changes get applied there?

Reedy closed this task as Resolved.Jul 21 2018, 10:29 PM
Marostegui updated the task description. (Show Details)Jul 22 2018, 5:59 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-28T07:41:56Z] <marostegui> Deploy schema change on s3:advisorswiki - T202904 https://phabricator.wikimedia.org/T195193

labtestwiki wasn't done. I just did it.